<?php include('header.php');


if (isset($_GET['status'])) {
    $status = $_GET['status'];
}

$query = "SELECT *  from brands";
$brands = db::getRecords($query);
$total_brands = 0;

 if(!empty($brands)) {
     $total_brands = count($brands);
 }

 // Products------------------------------
 $query = "SELECT * from inventory";
 $products = db::getRecords($query);
 $total_products = 0;

 if(!empty($products)) {
     $total_products = count($products);
 }


?>
<div class="main-content">

    <div class="page-content">
        <div class="container-fluid">

            <!-- start page title -->
            <div class="row mt-1 mb-4">
                <div class="col-12">
                    <div class="py-5  d-sm-flex flex-column align-items-center justify-content-center custom-gradient">
                        <div class="d-flex justify-content-center align-items-center mb-3 ">
                            <span class="avatar-md rounded-circle p- rounded-circle  d-flex rounded fs-3 justify-content-center align-items-center " style="background-color: #EF634C!important;">
                                <i class=" mdi mdi-trophy-award  fs-1 text-white "></i>
                            </span>
                        </div>
                        <h1 class="text-center text-white my-2">Welcome Admin</h1>
                    </div>
                </div>
            </div>

            <div class='row'>
                <div class="col-sm-12">
                    <div class="card">
                        <div class="card-body   bg-seagreen rounded-2 ">

                            <h3 class="text-center text-white">Statistics</h3>
                        </div>
                    </div>
                </div>


                <!-- end page title -->
                <div class="row mt-4 justify-content-center">
                    <div class="col-md-4  d-flex justify-content-center">
                        <div class="card shadow-lg card-animate w-100" style="background: #38454A;">
                            <div class="card-body text-center p-4">
                                <div class="d-flex justify-content-center align-items-center ">
                                    <span class="avatar-md rounded-circle d-flex rounded fs-3 justify-content-center align-items-center " style="background-color: #EF634C">
                                        <i class="ri-price-tag-3-fill fs-1  text-white"></i> </span>
                                </div>
                                <h5 class="mb-1 mt-4 fs-3 text-dark"><a href="brands.php" class="link-light">Brands</a>
                                </h5>
                                <div class="row justify-content-center">
                                    <div class="col-lg-8">
                                        <div id="chart-seller1" data-colors='["--vz-danger"]'></div>
                                    </div>
                                </div>
                                <div class="row mt-4 justify-content-center">

                                    <div class="col-lg-6">
                                        <h5 class="text-white"><?php echo $total_brands; ?></h5>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>
                    <div class="col-md-4  d-flex justify-content-center">
                        <div class="card shadow-lg card-animate w-100" style="background: #38454A;">
                            <div class="card-body text-center p-4">
                                <div class="d-flex justify-content-center align-items-center ">
                                    <span class="avatar-md rounded-circle d-flex rounded fs-3 justify-content-center align-items-center " style="background-color: #EF634C">
                                        <i class="ri-car-fill fs-1  text-white"></i> </span>
                                </div>
                                <h5 class="mb-1 mt-4 fs-3 text-dark"><a href="vehicles.php" class="link-light">Vehicles</a>
                                </h5>
                                <div class="row justify-content-center">
                                    <div class="col-lg-8">
                                        <div id="chart-seller1" data-colors='["--vz-danger"]'></div>
                                    </div>
                                </div>
                                <div class="row mt-4 justify-content-center">

                                    <div class="col-lg-6">
                                        <h5 class="text-white"><?php echo $total_products; ?></h5>
                                    </div>
                                </div>

                            </div>
                        </div>
                    </div>
                </div>
                <!-- container-fluid -->
            </div>
            <!-- End Page-content -->

        </div>
        <!-- end main content-->

        <?php include('footer.php')

            ?>


        <script>
            const urlParams = new URLSearchParams(window.location.search);

            if (urlParams.get('status') === '4') {
                // Show the Swal alert
                Swal.fire({
                    html: '<div class="mt-3"><img src="https://static.wixstatic.com/media/ce46d9_3f38fd870f0e44df928485e2e1c7686b~mv2.gif" trigger="loop" style="width:170px;height:120px"></im><div class="mt-4 pt-2 fs-15"><h4>Logged In</h4><p class="text-muted mx-4 mb-0">You Have been Successfully Logged In</p></div></div>',
                    showCancelButton: !0,
                    showConfirmButton: !1,
                    cancelButtonClass: "btn text-white  w-xs mb-1 bg",
                    cancelButtonText: "Dismiss",
                    buttonsStyling: !1,
                    showCloseButton: !0,
                }).then((result) => {
                    if (result.isConfirmed) {
                        // User clicked the "confirm" button, so update the URL and prevent the Swal from firing again
                        history.pushState({}, '', window.location.pathname);
                    } else {
                        history.pushState({}, '', window.location.pathname);
                    }
                });
            }
            if (urlParams.get('status') === '3') {
                // Show the Swal alert
                Swal.fire({
                    html: "<div class='mt-3'><lord-icon src='https://cdn.lordicon.com/nxaaasqe.json' trigger='loop' colors='primary:#121331,secondary:#08a88a' style='width:100px;height:100px'></lord-icon><div class='mt-4 pt-2 fs-15'><h4>Password Updated</h4><p class='text-muted mx-4 mb-0'>Your Password Have been Successfully Changed</p></div></div>",
                    showCancelButton: !0,
                    showConfirmButton: !1,
                    cancelButtonClass: "btn text-white  w-xs mb-1 bg-success",
                    cancelButtonText: "Dismiss",
                    buttonsStyling: !1,
                    showCloseButton: !0,
                }).then((result) => {
                    if (result.isConfirmed) {
                        // User clicked the "confirm" button, so update the URL and prevent the Swal from firing again
                        history.pushState({}, '', window.location.pathname);
                    } else {
                        history.pushState({}, '', window.location.pathname);
                    }
                });
            }

        </script>
        </body>

        </html>
