<?php include('header.php') ?>
<!-- blog section five -->
<section class="blog-section-five layout-radius mt-0">
    <div class="container p-0">
        <div class="boxcar-title wow fadeInUp pb-2 ps-2 pt-2 bg-1">
            <ul class="breadcrumb">
                <li><a href="index.php">Home</a></li>
                <li><span class="text-uppercase">Bentley</span></li>
            </ul>
            <h2 class="m-0 text-uppercase">Bentley</h2>
        </div>
    </div>
    <div class="right-box">
        <div class="container p-0">
            <div class="content-box">
                <figure class="outer-image"><img src="images/resource/bently-car-detail.png" alt="" class="w-100 rounded-0"></figure>
            </div>
        </div>
    </div>
</section>

<section class="dealer-ship-section-two layout-radius">
    <div class="barnd-box">
        <div class="container p-0">
            <div class="row">
                <div class="col-xl-12 col-md-12 col-sm-12">
                    <div class="inner-column">
                        <div class="brand-box">
                            <div class="image-box">
                                <img src="images/resource/bently-brand.png" width="250">
                            </div>
                            <div class="content-box">
                                <h3 class="title fw-bold">BENTLEY LOS ANGELES </h3>
                                <div class="text">Global Innovation Motors is dedicated to an unmatched Bentley buying experience in Los Angeles. We often inventory selected bespoke models, including the finest specimens of Flying Spur, Continental, Bentayga and Mulsanne models.
                                </div>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- End blog section five -->

<!-- pricing section -->
<section class="boxcar-pricing-section-three bg-white pt-5 mt-5">
    <div class="container p-0">
        <div class="row g-0">
            <!-- image-column -->
            <div class="image-column col-lg-6 col-md-6 col-sm-12">
                <div class="inner-column wow fadeInLeft">
                    <div class="image-box">
                        <figure class="image"><img src="images/resource/bently-car-detail-2.png" alt=""></figure>
                    </div>
                </div>
            </div>
            <div class="content-column col-lg-6 col-md-6 col-sm-12">
                <div class="inner-column wow fadeInRight" data-wow-delay="100ms">
                    <div class="boxcar-title">
                        <h2>A Bit of Bentley History</h2>
                        <div class="text">
                            As a leading light in the British car industry, Bentley beautifully blends elegance with power in a way that no other automaker can. The round headlights and rectangular grille fascia have become a staple of Bentley design language, but that doesn't mean that each model looks the same. Instead, they've taken a specific formula and tailored it to make everything from pavement-shredding GT sports cars to luxury SUVs truly unique.
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- End pricing section -->

<section class="brand-boxcar-banner-section" style="background-image: url('images/resource/Bently-details.webp');">
    <div class="boxcar-container">
        <div class="row">
            <div class="content-column col-xl-7 col-lg-12 col-md-12 col-sm-12">
                <div class="inner-column" style="visibility: hidden;">
                    <h2 class="title">We make finding the right car simple</h2>
                    <a href="#" class="btn">Find Out More<svg xmlns="http://www.w3.org/2000/svg" width="15" height="14" viewBox="0 0 15 14" fill="none">
                            <g clip-path="url(#clip0_634_2178)">
                                <path d="M14.1109 0H5.55533C5.34037 0 5.16643 0.173943 5.16643 0.388901C5.16643 0.603859 5.34037 0.777802 5.55533 0.777802H13.1721L0.613697 13.3362C0.461775 13.4881 0.461775 13.7342 0.613697 13.8861C0.68964 13.962 0.789171 14 0.888666 14C0.988161 14 1.08766 13.962 1.16363 13.8861L13.722 1.3277V8.94447C13.722 9.15943 13.8959 9.33337 14.1109 9.33337C14.3259 9.33337 14.4998 9.15943 14.4998 8.94447V0.388901C14.4998 0.173943 14.3258 0 14.1109 0Z" fill="white"></path>
                            </g>
                            <defs>
                                <clipPath id="clip0_634_2178">
                                    <rect width="14" height="14" fill="white" transform="translate(0.5)"></rect>
                                </clipPath>
                            </defs>
                        </svg>
                    </a>
                </div>
            </div>
        </div>
    </div>
</section>

<!-- pricing section -->
<section class="boxcar-pricing-section-three bg-white pt-5">
    <div class="container p-0">
        <div class="row g-0">

            <div class="content-column col-lg-12">
                <div class="inner-column p-0 pe-5 wow fadeInRight" data-wow-delay="100ms">
                    <div class="boxcar-title">
                        <h2>Find Your New Bentley Today</h2>
                        <div class="text">
                            For an SUV that stands out from the crowd, look no further than a new Bentley Bentayga. With a V8 engine delivering 542 horsepower and 568 pound-feet of torque through an intelligent all-wheel drive system, you'll have the power to impress and the control to handle whatever lies ahead. Of course, being a Bentley, it is also packed with luxury touches such as heated and cooled seats, real wood trim, and premium leather in dozens of unique color combinations.
                            The legendary Bentley Continental can be yours at our dealership as well. With models ranging from the luxurious and captivating GT to the dynamic GT V8 and convertible options of both, you can choose the driving experience that best suits your needs. The standard GT comes with the legendary Bentley W12 engine and churns out 626 horsepower and 664-pound feet of torque, while the V8 offers up 542 horsepower and 568 pound-feet of torque.
                            Taking a step from performance to pure luxury is the Bentley Flying Spur. Its broad-shouldered presence means plenty of space and high-end comfort await you inside, while a powerful engine sits beneath the hood without betraying the premium allure of this luxury sedan. Ventilated and massaging seats are available both up front and, in the rear, so wherever you sit when you travel you can have the utmost comfort.
                        </div>
                        <div class="text">Finally, we come to the Bentley Mulsanne. As the flagship model it is the best of the best, delivering a hand-crafted leather interior, adjustable heating and cooling for each seat, and a four-zone automatic climate control system, just for starters.</div>

                    </div>
                </div>
            </div>

            <div class="content-column col-lg-12">
                <div class="inner-column p-0 pe-5 wow fadeInRight" data-wow-delay="100ms">
                    <div class="boxcar-title">
                        <h2>Visit Our Dealership Today!</h2>
                        <div class="text">
                            No matter which new Bentley model you choose, you'll be taking home a unique and stunning vehicle that will be topic of conversation wherever you take it. Visit us to find yours today!</div>

                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- End pricing section -->
<?php include('footer.php') ?>