<?php include('header.php');

if (isset($_GET['id'])) {
    $id = $_GET['id'];

    // Fetch Inventory
    $query = "SELECT * FROM inventory WHERE id = '$id'";
    $inventory = db::getRecord($query);
    $brand_id = $inventory['brand_id'];

    // Fetch Brand
    $query = "SELECT * FROM brands";
    $brands = db::getRecords($query);

    // Fetch Inventory Images
    $query = "SELECT * FROM inventory_images WHERE inventory_id = '$id'";
    $product_images = db::getRecords($query);
} else {
    echo '<script>location="./inventory.php"</script>';
}

?>



<section class="about-inner-one pt-5 pb-5 rounded-0">
    <div class="upper-box m-0">
        <div class="boxcar-container">
            <div class="row wow fadeInUp">
                <div class="col-lg-12 col-sm-12">
                    <div class="boxcar-title">
                        <ul class="breadcrumb mb-5">
                            <li><a href="index.php" class="">Home</a></li>
                            <li><a href="inventory.php" class="">Inventory</a></li>
                            <li><span class=""><?php echo $inventory['name']; ?></span></li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

<style>
    .spectes-list {
        display: -webkit-box;
        display: -ms-flexbox;
        display: flex;
        -webkit-box-align: center;
        -ms-flex-align: center;
        align-items: center;
        flex-wrap: wrap;
        gap: 10px;
    }

    .spectes-list li span {
        font-size: 15px;
        color: #405FF2 !important;
        display: inline-block;
        border-radius: 120px;
        background: var(--bg-3, #E9F2FF);
        padding: 7px 20px 5px;
    }

    .spectes-list li span img {
        margin-right: 10px;
        position: relative;
        top: -2px;
    }
</style>
<!-- inventory-section -->
<section class="inventory-section p-0 layout-radius">
    <div class="boxcar-container">
        <div class="boxcar-title-three">
            <!-- <h1 class="fs-1"><?php echo $inventory['name']; ?></h1> -->
        </div>
        <div class="row">
            <div class="inspection-column v2 col-lg-7 col-md-12 col-sm-12">
                <div class="inner-column">
                    <div class="gallery-sec">
                        <div class="image-column wrap-gallery-box">
                            <div class="inner-column inventry-slider-two">
                                <?php if (!empty($product_images)) {
                                    foreach ($product_images as $image) { ?>
                                        <div class="image-box">
                                            <figure class="image">
                                                <a href="admin/uploads/products/<?php echo $image['image']; ?>" data-fancybox="gallery">
                                                    <img src="admin/uploads/products/<?php echo $image['image']; ?>" alt="">
                                                </a>
                                            </figure>
                                        </div>
                                <?php }
                                } ?>
                            </div>
                            <!-- <div class="content-box">
                                <ul class="video-list">
                                    <li><a href="#" data-fancybox="gallery"><img src="images/resource/video1-4.svg">All Photos</a></li>
                                </ul>
                            </div> -->
                        </div>
                    </div>
                    <!-- description-sec -->
                    <div class="description-sec">
                        <h4 class="title">Description</h4>
                        <div class="text"><?php echo $inventory['long_description']; ?></div>
                    </div>
                </div>
            </div>
            <div class="side-bar-column v2 col-lg-5 col-md-12 col-sm-12">
                <div class="inner-column">
                    <div class="contact-box-two">
                        <div class="content-box mb-3">
                            <h2 class="fw-bold"><?php echo $inventory['name']; ?></h2>
                            <div class="text"><?php echo $inventory['short_description']; ?></div>
                            <ul class="spectes-list mt-3">
                                <li><span><img src="images/resource/spec1-1.svg"><?php echo $inventory['year']; ?></span></li>
                                <li><span><img src="images/resource/spec1-2.svg"><?php echo $inventory['mileage']; ?> Miles</span></li>
                                <?php
                                if ($inventory['automatic'] == 'yes') { ?>
                                    <li><span><img src="images/resource/spec1-3.svg">Automatic</span></li>
                                <?php }
                                ?>
                                <li><span><img src="images/resource/spec1-4.svg"><?php echo $inventory['fuel_type']; ?></span></li>
                            </ul>
                        </div>

                        <div class="d-flex align-items-center justify-content-between mt-3">
                            <!--<h3 class="title">$<?php echo $inventory['price']; ?></h3>-->
                            <a href="tel:951-476-9893"><h4 class="fw-bold m-0">Call for Quote</h4></a>
                        </div>
                        <div class="btn-box justify-content-between align-items-center">
                            <button type="button" data-bs-toggle="modal" data-bs-target="#check_availability" class="side-btn d-flex align-items-center justify-content-center gap-2">
                                <i class="fa fa-check-circle"></i><span class="text-white">Check Availability</span>
                            </button>
                            <button type="button" data-bs-toggle="modal" data-bs-target="#test_drive" class="side-btn two d-flex align-items-center justify-content-center">
                                <img src="images/resource/tag1-1.svg">Test Drive
                            </button>
                            <a href="value_trade.php?id=<?php echo $inventory['id'] ?>" class="side-btn d-flex align-items-center justify-content-center gap-2">
                                <i class="fa fa-arrow-up-short-wide"></i><span class="text-white">Value Trade</span>
                            </a>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- cars-section-three -->
    <div class="cars-section-three">
        <div class="boxcar-container">
            <div class="boxcar-title wow fadeInUp">
                <h2>Related Vehicles</h2>
                <a href="inventory.php" class="btn-title">View All<svg xmlns="http://www.w3.org/2000/svg" width="14" height="14" viewbox="0 0 14 14" fill="none">
                        <g clip-path="url(#clip0_601_243)">
                            <path d="M13.6109 0H5.05533C4.84037 0 4.66643 0.173943 4.66643 0.388901C4.66643 0.603859 4.84037 0.777802 5.05533 0.777802H12.6721L0.113697 13.3362C-0.0382246 13.4881 -0.0382246 13.7342 0.113697 13.8861C0.18964 13.962 0.289171 14 0.388666 14C0.488161 14 0.587656 13.962 0.663635 13.8861L13.222 1.3277V8.94447C13.222 9.15943 13.3959 9.33337 13.6109 9.33337C13.8259 9.33337 13.9998 9.15943 13.9998 8.94447V0.388901C13.9998 0.173943 13.8258 0 13.6109 0Z" fill="#050B20"></path>
                        </g>
                        <defs>
                            <clippath id="clip0_601_243">
                                <rect width="14" height="14" fill="white"></rect>
                            </clippath>
                        </defs>
                    </svg>
                </a>
            </div>

            <div class="row car-slider-three" data-preview="4">
                <?php
                // Fetch related inventories based on brand_id
                $query = "SELECT * FROM inventory WHERE brand_id = '$brand_id' AND id != '$id'";
                $related_inventories = db::getRecords($query);

                // Display related inventories
                if (!empty($related_inventories)) {
                    foreach ($related_inventories as $related_inventory) { 
                    $id = $related_inventory['id'];
                    $query = "SELECT * FROM inventory_images WHERE inventory_id='$id'";
                    $inventory_images = db::getRecords($query);
                    $inventory_id = $related_inventory['id'];
                    
                    ?>
                        <div class="car-block-three col-lg-4 col-md-6 col-sm-12">
                            <div class="inner-box d-flex flex-column justify-content-center w-100 h-100">
                                <div class="image-box w-100 h-100">
                                    <figure class="image w-100 h-100">
                                        <a href="inventory-single.php?id=<?php echo $related_inventory['id']; ?>">
                                            <img src="admin/uploads/products/<?php echo $inventory_images[0]['image']; ?>" alt="" class="img-fluid w-100 h-100">
                                        </a>
                                    </figure>
                                </div>
                                <div class="content-box">
                                    <h6 class="title">
                                        <a href="inventory-single.php?id=<?php echo $related_inventory['id']; ?>">
                                            <?php echo $related_inventory['name']; ?>
                                        </a>
                                    </h6>
                                    <div class="text"><?php
                                    $short_description = substr($related_inventory['short_description'], 0, 25) . '...';
                                    echo $short_description;
                                    ?></div>
                                    <ul class="justify-content-between">
                                        <li><i class="flaticon-gasoline-pump"></i><?php echo $related_inventory['mileage']; ?> Miles</li>
                                        <li><i class="flaticon-speedometer"></i><?php echo $related_inventory['fuel_type']; ?></li>
                                        <li><i class="flaticon-gearbox"></i><?php echo ($related_inventory['automatic'] == 'yes') ? 'Automatic' : 'Manual'; ?></li>
                                    </ul>
                                    <div class="btn-box">
                                        <!--<span>$<?php echo $related_inventory['price']; ?></span>-->
                                        <a href="tel:951-476-9893"><span class="fs-4 fw-bold">Call for Quote</span></a>
                                        <a href="inventory-single.php?id=<?php echo $related_inventory['id']; ?>" class="details">View Details
                                            <svg xmlns="http://www.w3.org/2000/svg" width="14" height="14" viewBox="0 0 14 14" fill="none">
                                                <g clip-path="url(#clip0_601_4346)">
                                                    <path d="M13.6109 0H5.05533C4.84037 0 4.66643 0.173943 4.66643 0.388901C4.66643 0.603859 4.84037 0.777802 5.05533 0.777802H12.6721L0.113697 13.3362C-0.0382246 13.4881 -0.0382246 13.7342 0.113697 13.8861C0.18964 13.962 0.289171 14 0.388666 14C0.488161 14 0.587656 13.962 0.663635 13.8861L13.222 1.3277V8.94447C13.222 9.15943 13.3959 9.33337 13.6109 9.33337C13.8259 9.33337 13.9998 9.15943 13.9998 8.94447V0.388901C13.9998 0.173943 13.8258 0 13.6109 0Z" fill="#405FF2"></path>
                                                </g>
                                                <defs>
                                                    <clipPath id="clip0_601_4346">
                                                        <rect width="14" height="14" fill="white"></rect>
                                                    </clipPath>
                                                </defs>
                                            </svg>
                                        </a>
                                    </div>
                                </div>
                            </div>
                        </div>
                    <?php }
                } else { ?>
                    <p>No related vehicles found.</p>
                <?php } ?>
            </div>
        </div>
    </div>
    <!-- End shop section two -->
</section>
<!-- End inventory-section -->


<?php include('footer.php') ?>