<?php include('header.php') ?>
<!-- blog section five -->
<section class="blog-section-five layout-radius mt-0">
    <div class="container p-0">
        <div class="boxcar-title wow fadeInUp pb-2 ps-2 pt-2 bg-1">
            <ul class="breadcrumb">
                <li><a href="index.php">Home</a></li>
                <li><span class="text-uppercase">RIMAC</span></li>
            </ul>
            <h2 class="m-0 text-uppercase">RIMAC</h2>
        </div>
    </div>
    <div class="right-box">
        <div class="container p-0">
            <div class="content-box">
                <figure class="outer-image" style="margin-bottom: 90px;"><img src="images/resource/rimac-detail.avif" alt="" class="w-100 rounded-0"></figure>
            </div>
        </div>
    </div>
</section>

<section class="dealer-ship-section-two layout-radius">
    <div class="barnd-box">
        <div class="container p-0">
            <div class="row">
                <div class="col-xl-12 col-md-12 col-sm-12">
                    <div class="inner-column">
                        <div class="brand-box">
                            <div class="image-box">
                                <img src="images/resource/rimac-brand.avif" width="250">
                            </div>
                            <div class="content-box">
                                <h3 class="title fw-bold">SHAPING THE FUTURE </h3>
                                <div class="text">Rimac Automobili was founded with the vision of creating the sportscar of the 21st century. Soon it was clear that they first had to invent various technologies to make this possible and that those technologies could do much more. Today, they are unleashing the full potential of Nikola Tesla's invention, the alternating current electric motor, in many ways and industries.
                                </div>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- End blog section five -->

<!-- pricing section -->
<section class="boxcar-pricing-section-three bg-white pt-5">
    <div class="container p-0">
        <div class="row g-0">
            <!-- image-column -->
            <div class="image-column col-lg-6 col-md-6 col-sm-12">
                <div class="inner-column wow fadeInLeft">
                    <div class="image-box">
                        <figure class="image"><img src="images/resource/rimac-1.avif" alt=""></figure>
                    </div>
                </div>
            </div>
            <div class="content-column col-lg-6 col-md-6 col-sm-12">
                <div class="inner-column wow fadeInRight" data-wow-delay="100ms">
                    <div class="boxcar-title">
                        <div class="text">
                        The Rimac Nevera is a pure electric GT hypercar as capable on track as it is crossing continents. A car as bespoke as it is user-friendly. Configurable, personal and extremely powerful, representing what is possible when true innovation and passion is allowed free rein. Building on the knowledge gleaned from the brilliantly powerful Rimac Concept_One, the all-new Nevera combines the very best materials and bespoke technology to produce something both revolutionary and eminently useable, with performance and character that elevates the genre. There is - quite literally - no other car like it.
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- End pricing section -->

<section class="brand-boxcar-banner-section" style="background-image: url('images/resource/rimac-2.avif');">
    <div class="boxcar-container">
        <div class="row">
            <div class="content-column col-xl-7 col-lg-12 col-md-12 col-sm-12">
                <div class="inner-column" style="visibility: hidden;">
                    <h2 class="title">We make finding the right car simple</h2>
                    <a href="#" class="btn">Find Out More<svg xmlns="http://www.w3.org/2000/svg" width="15" height="14" viewBox="0 0 15 14" fill="none">
                            <g clip-path="url(#clip0_634_2178)">
                                <path d="M14.1109 0H5.55533C5.34037 0 5.16643 0.173943 5.16643 0.388901C5.16643 0.603859 5.34037 0.777802 5.55533 0.777802H13.1721L0.613697 13.3362C0.461775 13.4881 0.461775 13.7342 0.613697 13.8861C0.68964 13.962 0.789171 14 0.888666 14C0.988161 14 1.08766 13.962 1.16363 13.8861L13.722 1.3277V8.94447C13.722 9.15943 13.8959 9.33337 14.1109 9.33337C14.3259 9.33337 14.4998 9.15943 14.4998 8.94447V0.388901C14.4998 0.173943 14.3258 0 14.1109 0Z" fill="white"></path>
                            </g>
                            <defs>
                                <clipPath id="clip0_634_2178">
                                    <rect width="14" height="14" fill="white" transform="translate(0.5)"></rect>
                                </clipPath>
                            </defs>
                        </svg>
                    </a>
                </div>
            </div>
        </div>
    </div>
</section>


<!-- pricing section -->
<section class="boxcar-pricing-section-three bg-white pt-5">
    <div class="container p-0">
        <div class="row g-0">

            <div class="content-column col-lg-6 col-md-6 col-sm-12">
                <div class="inner-column p-0 pe-5 wow fadeInRight" data-wow-delay="100ms">
                    <div class="boxcar-title">
                        <h2>ACTIVE AERODYNAMICS</h2>
                        <div class="text">
                        A broad, sculptural hood design emphasizes the Nevera's strength and intent and includes active flaps that modify the car's aerodynamic profile. This provides the kind of low coefficient of aerodynamic drag that allows this hypercar to slice the air like a silent knife, aiding both efficiency and performance. The Nevera's front splitter features active elements to both modify the car's aerodynamic profile and help maintain optimum operating temperatures for electronic and battery systems. By utilizing these mobile flaps, the Nevera can remain cohesive and beautiful, and yet still exceptionally functional. Despite its appearance as fully integrated into the back of the car, the rear wing adopts varying positions according to dynamic loads - maximizing cornering downforce and also allowing for a high top speed - and instantly operates as a full air-brake to stabilize the car under heavy braking.</div>
                    </div>
                </div>
            </div>

            <!-- image-column -->
            <div class="image-column col-lg-6 col-md-6 col-sm-12">
                <div class="inner-column wow fadeInLeft">
                    <div class="image-box">
                        <figure class="image"><img src="images/resource/rimac-3.avif" alt=""></figure>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- End pricing section -->

<!-- pricing section -->
<section class="boxcar-pricing-section-three bg-white pt-5 mt-5">
    <div class="container p-0">
        <div class="row g-0">
            <!-- image-column -->
            <div class="image-column col-lg-6 col-md-6 col-sm-12">
                <div class="inner-column wow fadeInLeft">
                    <div class="image-box">
                        <figure class="image"><img src="images/resource/rimac-4.avif" alt=""></figure>
                    </div>
                </div>
            </div>
            <div class="content-column col-lg-6 col-md-6 col-sm-12">
                <div class="inner-column wow fadeInRight" data-wow-delay="100ms">
                    <div class="boxcar-title">
                        <h3 class="title fw-bold">
                        PERFECTION AS STANDARD
                        </h3>
                        <div class="text">
                        Penned by in-house team at Rimac, the graceful, agile form of the Nevera features timeless, elegant styling. Following simple aesthetic rules based around balanced efficiency, the car is neither aggressive nor passive - but somewhere in-between. A delicate network of performance, efficiency and beauty. With every aspect of the Nevera produced on-site at Rimac's facility, the carbon fibre elements - including the chassis and body work - are a perfect fit. With such manufacturing control and in-house research and development, this also allows details of the car to be produced to the customer's exact specification. Thousands of exotic metal, carbon fibre and electronic pieces of this intricate jigsaw are produced, tested and fitted - even the jigs and tooling for each individual piece are produced on-site - to provide the kind of quality that Rimac demands. All under one roof on the outskirts of Zagreb, Croatia.
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- End pricing section -->
<?php include('footer.php') ?>