<?php include('header.php');


if (isset($_GET['id'])) {
    $id = $_GET['id'];

    // Fetch Inventory
    $query = "SELECT * FROM inventory WHERE id = '$id'";
    $inventory = db::getRecord($query);
} else {
    echo '<script>location="./inventory.php"</script>';
}
?>

<!-- checkout-section -->
<style>
    form span {
        font-size: 14px;
    }
</style>
<section class="checkout-section">
    <div class="container p-0">
        <div class="row justify-content-center">
            <!-- content-column -->
            <div class="content-column col-lg-10 col-md-12 col-sm-12 shadow border" style="border-radius: 20px;">
                <div class="inner-column">
                    <h6 class="title fw-bold fs-2 text-center my-3">Buy or Trade Your Vehicle in Van Nuys, CA</h6>
                    <p class="text-center" style="font-size: 15px;">It’s time to get rid of your old model and trade it in for something newer! Fill out the form below to see the value of your car here at GI Motors.</p>
                    <h6 class="title fs-3 text-center my-5">WHAT CAR DO YOU WANT TO SELL?</h6>
                    <form class="row g-2" action="admin/action.php" method="POST">
                        <div class="col-lg-6">
                            <span class="fw-lighter text-secondary">In what year was your vehicle manufactured?</span>
                            <div class="form_boxes mb-3">
                                <label>Year *</label>
                                <input type="text" name="year" placeholder="Enter Year" required />
                            </div>
                        </div>
                        <div class="col-lg-6">
                            <span style="visibility: hidden;" class="d-none d-lg-block">Empty</span>
                            <div class="form_boxes mb-3">
                                <label>Manufacturer *</label>
                                <input type="text" name="manufacturer" placeholder="Enter Manufacturer" required />
                            </div>
                        </div>
                        <div class="col-lg-12">
                            <span class="fw-lighter text-secondary">Usually the badging on the back of the vehicle. Example: Ford EXPEDITION or Toyota CAMRY.</span>
                            <div class="form_boxes mb-3">
                                <label>Model *</label>
                                <input type="text" name="model" placeholder="Enter Model" required />
                            </div>
                        </div>
                        <div class="col-lg-12">
                            <span class="fw-lighter text-secondary">Usually in the vehicle badging on the back of the vehicle. Example: SE, LE, F-Type, 3.6 L DI, 4-Matic, etc.</span>
                            <div class="form_boxes mb-3">
                                <label>Trim</label>
                                <input type="text" name="trim" placeholder="Enter Trim" />
                            </div>
                        </div>
                        <div class="col-lg-12">
                            <div class="form_boxes mb-3">
                                <label>How many miles are on the vehicle? *</label>
                                <input type="text" name="miles" placeholder="Enter ..." required />
                            </div>
                        </div>
                        <div class="col-lg-12">
                            <span class="fw-lighter text-secondary">
                                This will help us make a more accurate offer. You can generally locate the VIN of your vehicle by standing right in front of the front license plate, walking around the front-side of the car and looking for a 16 alpha-numeric VIN listed at the bottom-right of your windshield.
                            </span>
                            <div class="form_boxes mb-3">
                                <label>Vehicle Identification Number (VIN)</label>
                                <input type="text" name="vin" placeholder="Enter ..." />
                            </div>
                        </div>
                        <hr>
                        <div class="col-lg-12 my-3">
                            <div class="box-radio-btn">
                                <p class="fw-bold mb-0">DRIVETRAIN</p>
                                <ul class="box-check-el style2 d-flex align-items-center gap-3">
                                    <li>
                                        <input class="tf-check circle" type="radio" name="drivetrain" id="none_drive" value="None" checked required>
                                        <label for="none_drive">None</label>
                                    </li>
                                    <li>
                                        <input class="tf-check circle" type="radio" name="drivetrain" id="all_wheel_drive" value="All Wheel Drive">
                                        <label for="all_wheel_drive">All Wheel Drive</label>
                                    </li>
                                    <li>
                                        <input class="tf-check circle" type="radio" name="drivetrain" id="rear_wheel_drive" value="Rear Wheel Drive">
                                        <label for="rear_wheel_drive">Rear Wheel Drive</label>
                                    </li>
                                    <li>
                                        <input class="tf-check circle" type="radio" name="drivetrain" id="front_wheel_drive" value="Front Wheel Drive2">
                                        <label for="front_wheel_drive">Front Wheel Drive2</label>
                                    </li>

                                </ul>
                            </div>
                        </div>
                        <div class="col-lg-12">
                            <div class="form_boxes">
                                <label>Anything else we should know about the vehicle? Any damage, warning lights, missing spare tires, been in an accident, etc.?</label>
                                <textarea name="about_vehicle" placeholder="Enter..." style="color:#000; width: 100%; height:auto"></textarea>
                            </div>
                        </div>
                        <h6 class="title fs-3 text-center">WHAT CAR DO YOU WANT TO SELL?</h6>
                        <div class="col-lg-6">
                            <div class="form_boxes">
                                <label>First Name *</label>
                                <input type="text" name="first_name" required>
                            </div>
                        </div>
                        <div class="col-lg-6">
                            <div class="form_boxes">
                                <label>Last Name *</label>
                                <input type="text" name="last_name" required>
                            </div>
                        </div>
                        <div class="col-lg-6">
                            <div class="form_boxes">
                                <label>Email *</label>
                                <input type="email" name="email" required>
                            </div>
                        </div>
                        <div class="col-lg-6">
                            <div class="form_boxes">
                                <label>Phone Number</label>
                                <input type="number" name="phone">
                            </div>
                        </div>
                        <hr>
                        <div class="col-lg-12 my-3">
                            <div class="box-radio-btn">
                                <p class="fw-bold mb-0">IF YOU LISTED A PHONE NUMBER, HOW WOULD YOU PREFER TO BE CONTACTED?</p>
                                <ul class="box-check-el style2 d-flex align-items-center gap-3">
                                    <li>
                                        <input class="tf-check circle" type="radio" name="contacted" value="None" id="none_contacted" checked required>
                                        <label for="none_contacted">None</label>
                                    </li>
                                    <li>
                                        <input class="tf-check circle" type="radio" name="contacted" value="Call" id="call_contacted">
                                        <label for="call_contacted">Call</label>
                                    </li>
                                    <li>
                                        <input class="tf-check circle" type="radio" name="contacted" value="Text" id="text_contacted">
                                        <label for="text_contacted">Text</label>
                                    </li>
                                </ul>
                            </div>
                        </div>
                        <input type="hidden" name="inventory_id" value="<?php echo $inventory['id'] ?>">
                        <div class="form-submit mb-4">
                            <button type="submit" class="theme-btn bg-dark w-100" name="send_value_trade">Send<img src="images/arrow.svg" alt="">
                            </button>
                        </div>
                    </form>
                </div>
            </div>

        </div>
    </div>
</section>
<!-- End checkout-section -->
<?php include('footer.php') ?>