<?php include("header.php") ?>

<section class="about-inner-one py-5 rounded-0">
    <div class="upper-box m-0">
        <div class="container p-0">
            <div class="row wow fadeInUp bg-1">
                <div class="col-lg-12 col-sm-12">
                    <div class="boxcar-title pt-2 mb-0">
                        <ul class="breadcrumb">
                            <li><a href="index.php" class="">Home</a></li>
                            <li><span class="">Luxury Motorcars in Van Nuys, CA</span></li>
                        </ul>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>

<!-- boxcar-banner-section-two -->
<section class="boxcar-banner-section-seven v10">
    <div class="banner-slider-v7">
        <div class="inner-box">
            <div class="container p-0">
                <div class="banner-slide">
                    <img src="images/banner/bg-7.jpg" alt="">
                    <div class="right-box">
                        <div class="boxcar-container">
                            <div class="content-box">
                                <h1 data-animation-in="fadeInUp" data-delay-in="0.2">Luxury Motorcars in Van Nuys, CA</h1>
                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- End boxcar-banner-section -->


<!-- about-inner-one -->
<section class="about-inner-one layout-radius m-0 pt-3 p-0">
    <!-- pricing section -->
    <div class="boxcar-pricing-section pb-0 pt-0">
        <div class="container p-0">
            <div class="row g-0 d-flex justify-content-center align-items-center">

                <div class="content-column col-xl-12">
                    <div class="inner-column bg-white p-0">
                        <div class="boxcar-title wow fadeInUp">
                            <!-- <h2 class="fs-2">Luxury Motorcars in Van Nuys, CA</h2> -->
                            <div class="text my-2">Global Innovation Motors provides car shoppers in the Los Angeles area with a carefully curated selection of high-line pre-owned luxury and performance cars. Our inventory is always carefully vetted with models from all the top high-line brands, including Ferrari, Lamborghini, Mercedes-Benz, BMW, Porsche and Bentley. </div>
                            <div class="text my-2">From our Van Nuys location, we serve customers throughout California. A visit to Global Innovation Motors is well worth the trip. We are a small, family-owned dealership that treats our clients like friends. Stop by today and let us know what we can do to help you into your next great car.</div>
                            <div class="text my-2">Global Innovation Motors is a respected retailer of luxury and exotic vehicles. We are located in the Los Angeles metropolitan area in nearby Van Nuys, CA. In addition to a unique and varied inventory of vehicles, we offer competitive financing and convenient consignment options. We welcome any pre-buy inspection prior to purchase and can help facilitate shipping to anywhere in the world at an affordable price. We also offer clients free airport pick-up from Los Angeles Airport located just 30 minutes away from our showroom in Van Nuys. To visit our dealership, we recommend calling in advance and arranging an appointment with any of our knowledgeable sales staff. We are located off the 405 freeway, just a short distance from the interstate 5 freeway.</div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
    <!-- End pricing section -->

</section>
<!-- about inner one -->

<!-- contact-us-section -->
<section class="contact-us-section">
    <div class="container p-0">


        <!-- calculater-section -->
        <div class="calculater-sec pb-5">
            <div class="right-box">
                <div class="row">
                    <!-- content-column -->
                    <div class="col-lg-12 content-column">
                        <div class="inner-column wow fadeInLeftBig">
                            <div class="boxcar-title">
                                <h2 class="text-uppercase text-center py-3">Ask A Question</h2>
                            </div>
                            <form class="row" method="POST" action="final_emails/email/mail.php">
                                <div class="col-lg-6">
                                    <div class="form_boxes">
                                        <label>First Name</label>
                                        <input type="text" name="first_name" placeholder="">
                                    </div>
                                </div>
                                <div class="col-lg-6">
                                    <div class="form_boxes">
                                        <label>Last Name</label>
                                        <input type="text" name="last_name" placeholder="">
                                    </div>
                                </div>
                                <div class="col-lg-6">
                                    <div class="form_boxes">
                                        <label>Email</label>
                                        <input type="email" name="email" placeholder="">
                                    </div>
                                </div>
                                <div class="col-lg-6">
                                    <div class="form_boxes">
                                        <label>Phone</label>
                                        <input type="number" name="phone" placeholder="">
                                    </div>
                                </div>
                                <div class="col-lg-12">
                                    <div class="form_boxes v2">
                                        <label>Comment</label>
                                        <textarea name="comment" placeholder="" required="" style="color:#000; width: 100%;"></textarea>
                                    </div>
                                </div>
                                <div class="col-lg-12 my-3">
                                    <div class="box-checkbox-btn">
                                        <p class="fw-bold">How would you like for us to contact you?</p>
                                        <ul class="box-check-el style2 d-flex align-items-center gap-3">
                                            <li>
                                                <input type="checkbox" name="contact_pref[]" value="Call" id="cb1">
                                                <label for="cb1">Call</label>
                                            </li>
                                            <li>
                                                <input type="checkbox" name="contact_pref[]" value="Text" id="cb2">
                                                <label for="cb2">Text</label>
                                            </li>
                                            <li>
                                                <input type="checkbox" name="contact_pref[]" value="Email" id="cb3">
                                                <label for="cb3">Email</label>
                                            </li>
                                        </ul>
                                    </div>
                                </div>
                                <div class="form-submit">
                                    <button type="submit" name="send" class="theme-btn">Send Message<img src="images/arrow.svg" alt="">
                                    </button>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>
            </div>
        </div>
        <!-- End calculater-section -->
    </div>
</section>
<!-- contact-us-section -->
<?php include("footer.php") ?>