<?php

require_once('../../database.php');

$db = db::open();
$id = $_POST['drive_id'];

$query = "SELECT * FROM inventory_test_drive WHERE id = '$id'";
$inventory_test_drive = db::getRecord($query);
$inventory_id = $inventory_test_drive['inventory_id'];

?>
<div class="row mt-5 align-items-center">

    <!-- Right Section: Details -->
    <div class="col-lg-12">
        <div class="card shadow-lg border-0 p-4">

            <div class="row mb-3">
                <div class="col-6">
                    <h5 class="text-muted">Product</h5>
                    <p class="text-success fw-bold">
                        <?php
                        $query = "SELECT * FROM inventory WHERE id = $inventory_id";
                        $inventory = db::getRecord($query);

                        if ($inventory) {
                            $brand_id = $inventory['brand_id'];
                            echo $inventory['name'];
                        } else {
                            $brand_id = null; // Default to null if no inventory found
                            echo "<span class='text-danger'>No Product Found</span>";
                        } ?>
                    </p>
                </div>
                <div class="col-6">
                    <h5 class="text-muted">Brand</h5>
                    <p class="text-success fw-bold">
                        <?php if (!empty($brand_id)) {
                            // Fetch brand details
                            $query = "SELECT * FROM brands WHERE id = $brand_id";
                            $brand = db::getRecord($query);

                            if ($brand) {
                                echo $brand['title'];
                            } else {
                                echo "<span class='text-danger'>No Brand Found</span>";
                            }
                        } else {
                            echo "<span class='text-danger'>No Brand ID Available</span>";
                        } ?>
                    </p>
                </div>
            </div>

            <div class="row mb-3">
                <div class="col-6">
                    <h5 class="text-muted">First Name</h5>
                    <p class="text-dark fw-bold"><?php echo $inventory_test_drive['first_name']; ?></p>
                </div>
                <div class="col-6">
                    <h5 class="text-muted">Last Name</h5>
                    <p class="text-dark fw-bold"><?php echo $inventory_test_drive['last_name']; ?></p>
                </div>
            </div>

            <div class="row mb-3">
                <div class="col-6">
                    <h5 class="text-muted">Email</h5>
                    <p class="text-dark fw-bold"><?php echo $inventory_test_drive['email']; ?></p>
                </div>
                <div class="col-6">
                    <h5 class="text-muted">Phone</h5>
                    <p class="text-dark fw-bold"><?php echo $inventory_test_drive['phone']; ?></p>
                </div>
            </div>
            <h2 class="my-4">Vehicle Info</h2>
            <div class="row mb-3">
                <div class="col-6">
                    <h5 class="text-muted">Year</h5>
                    <p class="text-success fw-bold"><?php echo $inventory_test_drive['vehicle_year']; ?></p>
                </div>
                <div class="col-6">
                    <h5 class="text-muted">Make</h5>
                    <p class="text-primary fw-bold"><?php echo $inventory_test_drive['vehicle_make']; ?></p>
                </div>
            </div>
            <div class="row mb-3">
                <div class="col-6">
                    <h5 class="text-muted">Model</h5>
                    <p class="text-success fw-bold"><?php echo $inventory_test_drive['vehicle_model']; ?></p>
                </div>
                <div class="col-6">
                    <h5 class="text-muted">Trim</h5>
                    <p class="text-primary fw-bold"><?php echo $inventory_test_drive['vehicle_trim']; ?></p>
                </div>
            </div>

            <div class="row mb-3">
                <div class="col-12">
                    <h5 class="text-muted">Mileage</h5>
                    <p class="text-dark"><?php echo $inventory_test_drive['vehicle_mileage']; ?></p>
                </div>
            </div>

            <div class="row mb-3">
                <div class="col-12">
                    <h5 class="text-muted">Comment</h5>
                    <p class="text-dark"><?php echo $inventory_test_drive['vehicle_comment']; ?></p>
                </div>
            </div>
            <h2 class="my-4">When Would You Like to Come In?</h2>
            <div class="row mb-3">
                <div class="col-6">
                    <h5 class="text-muted">Date</h5>
                    <p class="text-success fw-bold"><?php echo $inventory_test_drive['date']; ?></p>
                </div>
                <div class="col-6">
                    <h5 class="text-muted">Time</h5>
                    <p class="text-primary fw-bold"><?php echo $inventory_test_drive['time']; ?></p>
                </div>
            </div>
            <div class="row mb-3">
                <div class="col-12">
                    <h5 class="text-muted">How would you like for us to contact you?</h5>
                    <p class="text-dark">
                        <?php
                        // Replace commas with line breaks
                        echo nl2br(str_replace(',', "\n", $inventory_test_drive['contact_us']));
                        ?>
                    </p>
                </div>
            </div>
            <div class="text-end mt-4">
                <button type="button" data-bs-dismiss="modal" class="btn btn-primary px-4 py-2">Close</button>
            </div>
        </div>
    </div>
</div>
<?php
?>