<?php

require_once('../../database.php');

$db = db::open();
$id = $_POST['drive_id'];

$query = "SELECT * FROM inventory_value_trade WHERE id = '$id'";
$inventory_value_trade = db::getRecord($query);
$inventory_id = $inventory_value_trade['inventory_id'];

?>
<div class="row mt-5 align-items-center">

    <!-- Right Section: Details -->
    <div class="col-lg-12">
        <div class="card shadow-lg border-0 p-4">

            <div class="row mb-3">
                <div class="col-6">
                    <h5 class="text-muted">Product</h5>
                    <p class="text-success fw-bold">
                        <?php
                        $query = "SELECT * FROM inventory WHERE id = $inventory_id";
                        $inventory = db::getRecord($query);

                        if ($inventory) {
                            $brand_id = $inventory['brand_id'];
                            echo $inventory['name'];
                        } else {
                            $brand_id = null; // Default to null if no inventory found
                            echo "<span class='text-danger'>No Product Found</span>";
                        } ?>
                    </p>
                </div>
                <div class="col-6">
                    <h5 class="text-muted">Brand</h5>
                    <p class="text-success fw-bold">
                        <?php if (!empty($brand_id)) {
                            // Fetch brand details
                            $query = "SELECT * FROM brands WHERE id = $brand_id";
                            $brand = db::getRecord($query);

                            if ($brand) {
                                echo $brand['title'];
                            } else {
                                echo "<span class='text-danger'>No Brand Found</span>";
                            }
                        } else {
                            echo "<span class='text-danger'>No Brand ID Available</span>";
                        } ?>
                    </p>
                </div>
            </div>

            <h2 class="my-4">WHAT CAR DO YOU WANT TO SELL?</h2>
            <div class="row mb-3">
                <div class="col-6">
                    <h5 class="text-muted">Year</h5>
                    <p class="text-dark"><?php echo $inventory_value_trade['year']; ?></p>
                </div>
                <div class="col-6">
                    <h5 class="text-muted">Manufacturer</h5>
                    <p class="text-dark"><?php echo $inventory_value_trade['manufacturer']; ?></p>
                </div>
            </div>
            <div class="row mb-3">
                <div class="col-6">
                    <h5 class="text-muted">Model</h5>
                    <p class="text-dark"><?php echo $inventory_value_trade['model']; ?></p>
                </div>
                <div class="col-6">
                    <h5 class="text-muted">Trim</h5>
                    <p class="text-primary"><?php echo $inventory_value_trade['trim']; ?></p>
                </div>
            </div>

            <div class="row mb-3">
                <div class="col-6">
                    <h5 class="text-muted">How many miles are on the vehicle?</h5>
                    <p class="text-dark"><?php echo $inventory_value_trade['miles']; ?></p>
                </div>
                <div class="col-6">
                    <h5 class="text-muted">Vehicle Identification Number (VIN)</h5>
                    <p class="text-dark"><?php echo $inventory_value_trade['vin']; ?></p>
                </div>
            </div>
            <div class="row mb-3">
                <div class="col-12">
                    <h5 class="text-muted">Drivetrain</h5>
                    <p class="text-dark"><?php echo $inventory_value_trade['drivetrain']; ?></p>
                </div>
            </div>
            <div class="row mb-3">
                <div class="col-12">
                    <h5 class="text-muted">Anything else we should know about the vehicle? Any damage, warning lights, missing spare tires, been in an accident, etc.?</h5>
                    <p class="text-dark"><?php echo $inventory_value_trade['about_vehicle']; ?></p>
                </div>
            </div>
            <h2 class="my-4">WHAT CAR DO YOU WANT TO SELL?</h2>
            <div class="row mb-3">
                <div class="col-6">
                    <h5 class="text-muted">First Name</h5>
                    <p class="text-dark fw-bold"><?php echo $inventory_value_trade['first_name']; ?></p>
                </div>
                <div class="col-6">
                    <h5 class="text-muted">Last Name</h5>
                    <p class="text-dark fw-bold"><?php echo $inventory_value_trade['last_name']; ?></p>
                </div>
            </div>

            <div class="row mb-3">
                <div class="col-6">
                    <h5 class="text-muted">Email</h5>
                    <p class="text-dark fw-bold"><?php echo $inventory_value_trade['email']; ?></p>
                </div>
                <div class="col-6">
                    <h5 class="text-muted">Phone</h5>
                    <p class="text-dark fw-bold"><?php echo $inventory_value_trade['phone']; ?></p>
                </div>
            </div>
        
            <div class="row mb-3">
                <div class="col-12">
                    <h5 class="text-muted">IF YOU LISTED A PHONE NUMBER, HOW WOULD YOU PREFER TO BE CONTACTED?</h5>
                    <p class="text-dark">
                        <?php
                        // Replace commas with line breaks
                        echo $inventory_value_trade['contacted'];
                        ?>
                    </p>
                </div>
            </div>
            <div class="text-end mt-4">
                <button type="button" data-bs-dismiss="modal" class="btn btn-primary px-4 py-2">Close</button>
            </div>
        </div>
    </div>
</div>
<?php
?>