<?php
session_start();
require_once("database.php");

$query = "SELECT * from logo where id='1'";
$logo = db::getRecord($query);
$logo_image = $logo['logo_name'];

?>


<!doctype html>
<html lang="en" data-layout="horizontal" data-topbar="dark" data-sidebar-size="lg" data-sidebar="light"
    data-sidebar-image="none" data-preloader="disable">

<head>

    <meta charset="utf-8" />
    <title>Admin | Sign In</title>
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <!-- App favicon -->
    <link rel="shortcut icon" href="assets/images/favicon.ico">
    <link href="assets/libs/sweetalert2/sweetalert2.min.css" rel="stylesheet" type="text/css" />

    <!-- Layout config Js -->
    <script src="assets/js/layout.js"></script>
    <!-- Bootstrap Css -->
    <link href="assets/css/bootstrap.min.css" rel="stylesheet" type="text/css" />
    <!-- Icons Css -->
    <link href="assets/css/icons.min.css" rel="stylesheet" type="text/css" />
    <!-- App Css-->
    <link href="assets/css/app.min.css" rel="stylesheet" type="text/css" />
    <!-- custom Css-->
    <link href="assets/css/custom.min.css" rel="stylesheet" type="text/css" />


</head>

<body>

    <div class="auth-page-wrapper pt-5">
        <!-- auth page bg -->
        <div class="auth-one-bg-position auth-one-bg" style="background-image: url(./assets/images/bread.jpg);" id="auth-particles">
            <div class="bg-overlay"></div>

            <div class="shape">
                <svg xmlns="http://www.w3.org/2000/svg" version="1.1" xmlns:xlink="http://www.w3.org/1999/xlink"
                    viewBox="0 0 1440 120">
                    <path d="M 0,36 C 144,53.6 432,123.2 720,124 C 1008,124.8 1296,56.8 1440,40L1440 140L0 140z"></path>
                </svg>
            </div>
        </div>

        <!-- auth page content -->
        <div class="auth-page-content " >
            <div class="container">
            <div class="row" >
                    <div class="col-lg-12">
                        <div class="text-center mt-sm-5  text-white">
                            <div>
                                <a href="sign-in.php " class=" rounded-4 d-inline-block mb-0 auth-logo  ">
                                <img  class="" src="./uploads/logo/<?php echo $logo_image; ?>" alt="" height="150">
                                </a>
                            </div>
                        </div>
                    </div>
                </div>

                <div class="row justify-content-center mt-1" id="forget_message" >
                    <div class="col-md-8 col-lg-6 col-xl-5 mt-5">
                        <div class="card mt-4">

                            <div class="card-body p-4">
                                <div class="text-center mt-2">
                                    <h5 class="theme_text_auth">Forgot Password?</h5>

                                    <lord-icon src="https://cdn.lordicon.com/rhvddzym.json" trigger="loop"
                                        colors="primary:#0ab39c" class="avatar-xl">
                                    </lord-icon>

                                </div>

                                <div class="alert alert-borderless alert-warning text-center mb-2 mx-2" role="alert">
                                    Enter your email to recover your account
                                </div>
                                <div class="p-2">
                                    <form action="./mails/mail.php" method="post">
                                        <div class="mb-4">
                                            <label class="form-label">Email</label>
                                            <input type="email" class="form-control" id="email" 
                                               name="email" required  placeholder="Enter Email">
                                        </div>

                                        <div class="text-center mt-4">
                                            <button type="submit" onclick=""  id="forget_password"  name="forget_password" class="btn btn-success w-100" >Next</button></div>
                                    </form><!-- end form -->
                                </div>
                            </div>
                            <!-- end card body -->
                        </div>
                        <!-- end card -->



                    </div>
                </div>
                <!-- end row -->
            </div>
            <!-- end container -->
        </div>
        <!-- end auth page content -->

        <!-- footer -->

        <!-- end Footer -->
    </div>
    <!-- end auth-page-wrapper -->
    <script src="assets/libs/sweetalert2/sweetalert2.min.js"></script>




<!-- Sweet alert init js-->
<script src="assets/js/pages/sweetalerts.init.js"></script>
    <!-- JAVASCRIPT -->
    <script src="assets/libs/bootstrap/js/bootstrap.bundle.min.js"></script>
    <script src="assets/libs/simplebar/simplebar.min.js"></script>
    <script src="assets/libs/node-waves/waves.min.js"></script>
    <script src="assets/libs/feather-icons/feather.min.js"></script>
    <script src="assets/js/pages/plugins/lord-icon-2.1.0.js"></script>
    <script src="assets/js/plugins.js"></script>

    <!-- particles js -->
    <script src="assets/libs/particles.js/particles.js"></script>
    <!-- particles app js -->
    <script src="assets/js/pages/particles.app.js"></script>
    <!-- password-addon init -->
    <script src="assets/js/pages/password-addon.init.js"></script>
    
<script>
    const urlParams = new URLSearchParams(window.location.search);

if (urlParams.get('status') == '5') {
        // Show the Swal alert
        Swal.fire({
            html: '<div class="mt-4 pt-2 fs-15"><h4>Email Not Exist </h4><p class="text-muted mx-4 mb-0">The Email You Enter Does Not Exist</p></div></div>',
            showCancelButton: !0,
            showConfirmButton: !1,
            cancelButtonClass: "btn btn-dark w-xs mb-1",
            cancelButtonText: "Try Again",
            buttonsStyling: !1,
            showCloseButton: !0,
        }).then((result) => {
            if (result.isConfirmed) {
                // User clicked the "confirm" button, so update the URL and prevent the Swal from firing again
                history.pushState({}, '', window.location.pathname);
            } else {
                history.pushState({}, '', window.location.pathname);
            }
        });
    }  
</script>
    
</body>


</html>