<?php

use PHPMailer\PHPMailer\PHPMailer;
use PHPMailer\PHPMailer\Exception;

require 'PHPMailer/src/Exception.php';
require 'PHPMailer/src/PHPMailer.php';
require 'PHPMailer/src/SMTP.php';

if ($_SERVER['REQUEST_METHOD'] === 'POST') {

    // Retrieve form data
    $firstName = htmlspecialchars($_POST['first_name']);
    $lastName = htmlspecialchars($_POST['last_name']);
    $email = htmlspecialchars($_POST['email']);
    $phone = htmlspecialchars($_POST['phone']);
    $comment = htmlspecialchars($_POST['comment']);

    // Contact preferences
    $contactPreferences = isset($_POST['contact_pref']) ? $_POST['contact_pref'] : [];
    $contactPref = !empty($contactPreferences) ? implode(', ', $contactPreferences) : 'Not specified';

    // Initialize PHPMailer
    $mail = new PHPMailer();

    try {
        $mail->isSMTP();
        $mail->Host = 'smtp.gmail.com';
        $mail->SMTPAuth = true;
        $mail->Username = 'singlesolution.email.sender@gmail.com'; // Sender's email
        $mail->Password = 'ikim uqjg qewx ayzf'; // App-specific password
        $mail->SMTPSecure = 'tls';
        $mail->Port = 587;
        $mail->setFrom('singlesolution.email.sender@gmail.com', 'GIMOTORSCARS');
        $mail->addAddress('mubeenmughal003@gmail.com', 'GIMOTORSCARS');

        // Email subject
        $mail->Subject = 'New Contact Form Submission';

        // Load email template and replace placeholders
        $html = file_get_contents('continfo.html');
        $html = str_replace('{{first_name}}', $firstName, $html);
        $html = str_replace('{{last_name}}', $lastName, $html);
        $html = str_replace('{{email}}', $email, $html);
        $html = str_replace('{{phone}}', $phone, $html);
        $html = str_replace('{{comment}}', $comment, $html);
        $html = str_replace('{{contact_pref}}', $contactPref, $html);

        // Set email body
        $mail->msgHTML($html);

        // Send email
        if (!$mail->send()) {
            echo 'Mailer Error: ' . $mail->ErrorInfo;
            echo "<script>location='../../contact.php?status=2'</script>";
        } else {
            echo "<script>location='../../index.php?status=1'</script>";
        }
    } catch (Exception $e) {
        echo 'Exception: ' . $mail->ErrorInfo;
    }
}
?>
