<?php include('header.php') ?>
<!-- blog section five -->
<section class="blog-section-five layout-radius mt-0">
    <div class="container p-0">
        <div class="boxcar-title wow fadeInUp pb-2 ps-2 pt-2 bg-1">
            <ul class="breadcrumb">
                <li><a href="index.php">Home</a></li>
                <li><span class="text-uppercase">Pininfarina</span></li>
            </ul>
            <h2 class="m-0 text-uppercase">Pininfarina</h2>
        </div>
    </div>
    <div class="right-box">
        <div class="container p-0">
            <div class="content-box">
                <figure class="outer-image" style="margin-bottom: 90px;"><img src="images/resource/pin-detail.avif" alt="" class="w-100 rounded-0"></figure>
            </div>
        </div>
    </div>
</section>

<section class="dealer-ship-section-two layout-radius">
    <div class="barnd-box">
        <div class="container p-0">
            <div class="row">
                <div class="col-xl-12 col-md-12 col-sm-12">
                    <div class="inner-column">
                        <div class="brand-box">
                            <div class="image-box">
                                <img src="images/resource/pininfarina-brand.avif" width="250">
                            </div>
                            <div class="content-box">
                                <h3 class="title fw-bold">AUTOMOBILI PININFARINA BEVERLY HILLS </h3>
                                <div class="text">Automobili Pininfarina is a pioneering new business conceived to create all-electric sports and luxury cars of unmatched performance and unprecedented heritage. Beginning with the launch of the first ever Pininfarina-branded hypercar in 2020, our expert team will in the future deliver a range of high performance electric vehicles offering design purity, unparalleled beauty and innovative technology at their core.
                                </div>

                            </div>
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- End blog section five -->

<!-- pricing section -->
<section class="boxcar-pricing-section-three bg-white pt-5 mt-5">
    <div class="container p-0">
        <div class="row g-0">
            <!-- image-column -->
            <div class="image-column col-lg-6 col-md-6 col-sm-12">
                <div class="inner-column wow fadeInLeft">
                    <div class="image-box">
                        <figure class="image"><img src="images/resource/pin-4.avif" alt=""></figure>
                    </div>
                </div>
            </div>
            <div class="content-column col-lg-6 col-md-6 col-sm-12">
                <div class="inner-column wow fadeInRight" data-wow-delay="100ms">
                    <div class="boxcar-title">
                        <div class="text">
                            Automobili Pininfarina is a pioneering new business conceived to create all-electric sports and luxury cars of unmatched performance and unprecedented heritage. Beginning with the launch of the first ever Pininfarina-branded hypercar in 2020, our expert team will in the future deliver a range of high performance electric vehicles offering design purity, unparalleled beauty and innovative technology at their core. "You ask me what Italian style means. It means an agreement of lines, a sense of proportion, simplicity and harmony, so that, when a considerable time has passed, one can still notice something that is more vivid than the memory of beauty." - Battista "Pinin" Farina - Founder of Pininfarina SpA
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- End pricing section -->

<section class="brand-boxcar-banner-section" style="background-image: url('images/resource/pin-3.webp');">
    <div class="boxcar-container">
        <div class="row">
            <div class="content-column col-xl-7 col-lg-12 col-md-12 col-sm-12">
                <div class="inner-column" style="visibility: hidden;">
                    <h2 class="title">We make finding the right car simple</h2>
                    <a href="#" class="btn">Find Out More<svg xmlns="http://www.w3.org/2000/svg" width="15" height="14" viewBox="0 0 15 14" fill="none">
                            <g clip-path="url(#clip0_634_2178)">
                                <path d="M14.1109 0H5.55533C5.34037 0 5.16643 0.173943 5.16643 0.388901C5.16643 0.603859 5.34037 0.777802 5.55533 0.777802H13.1721L0.613697 13.3362C0.461775 13.4881 0.461775 13.7342 0.613697 13.8861C0.68964 13.962 0.789171 14 0.888666 14C0.988161 14 1.08766 13.962 1.16363 13.8861L13.722 1.3277V8.94447C13.722 9.15943 13.8959 9.33337 14.1109 9.33337C14.3259 9.33337 14.4998 9.15943 14.4998 8.94447V0.388901C14.4998 0.173943 14.3258 0 14.1109 0Z" fill="white"></path>
                            </g>
                            <defs>
                                <clipPath id="clip0_634_2178">
                                    <rect width="14" height="14" fill="white" transform="translate(0.5)"></rect>
                                </clipPath>
                            </defs>
                        </svg>
                    </a>
                </div>
            </div>
        </div>
    </div>
</section>


<!-- pricing section -->
<section class="boxcar-pricing-section-three bg-white pt-5">
    <div class="container p-0">
        <div class="row g-0">

            <div class="content-column col-lg-6 col-md-6 col-sm-12">
                <div class="inner-column p-0 pe-5 wow fadeInRight" data-wow-delay="100ms">
                    <div class="boxcar-title">
                        <h2>A WORLD FIRST</h2>
                        <div class="text">
                            In 2019 we will reveal the first breathtaking new vehicle in our product portfolio. Codenamed PF0, this will be a sustainably-developed, zero-emissions hypercar that represents the progression Automobili Pinanfarina will make at the pinnacle of the luxury and sports car market. Extreme levels of technology and functional design lie beneath the stunning styling of the exterior, with PF0 aiming to deliver staggering performance for a road car. PF0 is expected to accelerate from 0-100km/h in less than two seconds, achieve a top speed in excess of 400km/h, and provide a potential zero emissions range of over 500km. PF0 will not just be the world's first all-electric Pininfarina-branded hypercar. It will be a pure expression of automotive art.</div>
                    </div>
                </div>
            </div>

            <!-- image-column -->
            <div class="image-column col-lg-6 col-md-6 col-sm-12">
                <div class="inner-column wow fadeInLeft">
                    <div class="image-box">
                        <figure class="image"><img src="images/resource/pin-2.webp" alt=""></figure>
                        <!-- <a href="../../watch.html?v=Fvae8nxzVz4" class="play-now" data-fancybox="gallery" data-caption=""><i class="fa fa-play" aria-hidden="true"></i><span class="ripple"></span></a> -->
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- End pricing section -->

<!-- pricing section -->
<section class="boxcar-pricing-section-three bg-white pt-5 mt-5">
    <div class="container p-0">
        <div class="row g-0">
            <!-- image-column -->
            <div class="image-column col-lg-6 col-md-6 col-sm-12">
                <div class="inner-column wow fadeInLeft">
                    <div class="image-box">
                        <figure class="image"><img src="images/resource/pin-1.webp" alt=""></figure>
                    </div>
                </div>
            </div>
            <div class="content-column col-lg-6 col-md-6 col-sm-12">
                <div class="inner-column wow fadeInRight" data-wow-delay="100ms">
                    <div class="boxcar-title">
                        <h3 class="title fw-bold">
                            SUSTAINABLE FUTURE
                        </h3>
                        <div class="text">
                            Automobili Pininfarina is a pioneering new business conceived to create all-electric sports and luxury cars of unmatched performance and unprecedented heritage. Beginning with the launch of the first ever Pininfarina-branded hypercar in 2020, our expert team will in the future deliver a range of high performance electric vehicles offering design purity, unparalleled beauty and innovative technology at their core. "You ask me what Italian style means. It means an agreement of lines, a sense of proportion, simplicity and harmony, so that, when a considerable time has passed, one can still notice something that is more vivid than the memory of beauty." - Battista "Pinin" Farina - Founder of Pininfarina SpA
                        </div>
                    </div>
                </div>
            </div>
        </div>
    </div>
</section>
<!-- End pricing section -->
<?php include('footer.php') ?>